• R/O
  • HTTP
  • SSH
  • HTTPS

Commit

Tags
No Tags

Frequently used words (click to add to your profile)

javac++androidlinuxc#windowsobjective-ccocoa誰得qtpythonphprubygameguibathyscaphec計画中(planning stage)翻訳omegatframeworktwitterdomtestvb.netdirectxゲームエンジンbtronarduinopreviewer

Commit MetaInfo

Revisionf491affa5b6eabfdb83784919f96077619f85de6 (tree)
Time2005-10-16 17:49:43
Authorpukiwikiadmin <pukiwikiadmin>
Commiterpukiwikiadmin

Log Message

This commit was manufactured by cvs2svn to create tag 'r1_4_6'.

Change Summary

  • delete: devel/make_funclist.sh
  • delete: devel/release.sh
  • delete: devel/release_update.sh
  • delete: devel/tdiary-demogen.sh

Incremental Difference

--- a/devel/make_funclist.sh
+++ /dev/null
@@ -1,3 +0,0 @@
1-#!/bin/sh
2-
3-grep -B1 "^function" ../*.php | sed -e "s/^\.\.\///" | sed "s/[a-z]*\.php\:function[ \t]*//"
--- a/devel/release.sh
+++ /dev/null
@@ -1,255 +0,0 @@
1-#!/bin/sh
2-# $Id: release.sh,v 1.25 2005-09-25 10:13:23 henoheno Exp $
3-# $CVSKNIT_Id: release.sh,v 1.11 2004/05/28 14:26:24 henoheno Exp $
4-# Release automation script for PukiWiki
5-# ==========================================================
6- Copyright='(C) 2002-2004 minix-up project, All Rights Reserved'
7- Homepage='http://cvsknit.sourceforge.net/'
8- License='BSD Licnese, NO WARRANTY'
9-#
10-
11-# Name and Usage --------------------------------------------
12-_name="` basename $0 `"
13-
14-usage(){
15- trace 'usage()' || return # (DEBUG)
16- warn "Usage: $_name [options] VERSION_TAG (1.4.3_rc1 like)"
17- warn " Options:"
18- warn " --nopkg Suppress creating archive (Extract and chmod only)"
19- warn " --norm --nopkg, and remove nothing (.cvsignore etc)"
20- warn " --co --norm, and use 'checkout' command instead of 'export'"
21- warn " --utf8 Create UTF-8 converted archive (EXPERIMENTAL)"
22- warn " -z|--zip Create *.zip archive"
23- warn " --move-dist Move *.ini.php => *.ini-dist.php"
24- warn " --copy-dist Move, and Copy *.ini.php <= *.ini-dist.php"
25- return 1
26-}
27-
28-# Common functions ------------------------------------------
29-warn(){ echo "$*" 1>&2 ; }
30-err() { warn "Error: $*" ; exit 1 ; }
31-
32-quote(){
33- test $# -gt 0 && { echo -n "\"$1\"" ; shift ; }
34- while [ $# -gt 0 ] ; do echo -n " \"$1\"" ; shift ; done ; echo
35-}
36-
37-trace(){
38- test "$__debug" || return 0 # (DEBUG)
39- _msg="$1" ; test $# -gt 0 && shift ; warn " $_msg : ` quote "$@" `"
40-}
41-
42-check_versiontag(){
43- case "$1" in
44- [1-9].[0-9] | [1-9].[0-9] ) tag="r$1" ;;
45- [1-9].[0-9]_rc[1-9] | [1-9].[0-9]_rc[1-9] ) tag="r$1" ;;
46- [1-9].[0-9].[0-9] | [1-9].[0-9].[0-9][0-9] ) tag="r$1" ;;
47- [1-9].[0-9].[0-9]_[a-z]* | [1-9].[0-9].[0-9][0-9]_[a-z]* ) tag="r$1" ;;
48- [1-9].[0-9].[0-9]_[1-9] | [1-9].[0-9].[0-9][0-9]_[1-9] ) tag="r$1" ;;
49- [1-9].[0-9].[0-9]_[1-9]_[a-z]* | [1-9].[0-9].[0-9][0-9]_[1-9]_[a-z]* ) tag="r$1" ;;
50- HEAD | r1_3_3_branch ) tag="$rel" ;;
51- '' ) usage ; return 1 ;;
52- * ) warn "Error: Invalid string: $1" ; usage ; return 1 ;;
53- esac
54- echo "$tag" | tr '.' '_'
55-}
56-
57-chmod_pkg(){
58- ( cd "$1"
59- # ALL: Read only
60- find . -type d | while read line; do chmod 755 "$line"; done
61- find . -type f | while read line; do chmod 644 "$line"; done
62- # Add write permission for PukiWiki
63- chmod 777 attach backup cache counter diff trackback wiki* 2>/dev/null
64- chmod 666 wiki*/*.txt cache/*.dat cache/*.ref cache/*.rel 2>/dev/null
65- )
66-}
67-
68-# Default variables -----------------------------------------
69-
70-mod=pukiwiki
71-
72-CVSROOT=":pserver:anonymous@cvs.sourceforge.jp:/cvsroot/$mod"
73-
74-# Function verifying arguments ------------------------------
75-
76-getopt(){ _arg=noarg
77- trace 'getopt()' "$@" # (DEBUG)
78-
79- case "$1" in
80- '' ) echo 1 ;;
81- -[hH]|--help ) echo _help _exit ;;
82- --debug ) echo _debug 1 ;;
83- --nopkg ) echo _nopkg 1 ;;
84- --norm|--noremove ) echo _nopkg _noremove 1 ;;
85- --co|--checkout ) echo _nopkg _noremove _checkout 1 ;;
86- -z|--zip ) echo _zip 1 ;;
87- --ut|--utf|--utf8|--utf-8 ) echo _utf8 1 ;;
88- --copy-dist ) echo _copy_dist 1 ;;
89- --move-dist ) echo _move_dist 1 ;;
90- -d ) echo _CVSROOT 2 ; _arg="$2" ;;
91- -* ) warn "Error: Unknown option \"$1\"" ; return 1 ;;
92- * ) echo OTHER ;;
93- esac
94-
95- test 'x' != "x$_arg"
96-}
97-
98-# Working start ---------------------------------------------
99-
100-# Show arguments in one line (DEBUG)
101-case '--debug' in "$1"|"$3") false ;; * ) true ;; esac || {
102- test 'x--debug' = "x$1" && shift ; __debug=on ; trace 'Args ' "$@"
103-}
104-
105-# Parsing
106-while [ $# -gt 0 ] ; do
107- chs="` getopt "$@" `" || err "Syntax error with '$1'"
108- trace '$chs ' "$chs" # (DEBUG)
109-
110- for ch in $chs ; do
111- case "$ch" in
112- [1-3] ) shift $ch ;;
113- _exit ) exit ;;
114- _help ) usage ;;
115-
116- _CVSROOT) CVSROOT="$2" ;;
117-
118- _* ) eval "_$ch"=on ;;
119- * ) break 2 ;;
120- esac
121- done
122-done
123-
124-# No argument
125-if [ $# -eq 0 ] ; then usage ; exit ; fi
126-
127-# Utility check ---------------------------------------------
128-
129-if [ "$__utf8" ] ; then
130- which nkf || err "nkf version 2.0 or later (UTF-8 enabled) not found"
131- nkf_version="` nkf -v 2>&1 | sed -e '/^Network Kanji Filter/!d' -e 's/.* Version \([1-9]\).*/\1/' `"
132- if [ "$nkf_version" = '1' -o "$nkf_version" = '0' ] ; then
133- err "nkf found but not seems 2.x (UTF-8 enabled) or later"
134- fi
135- convert(){
136- for list in "$@" ; do
137- # NOTE: Specify '-E'(From EUC-JP) otherwise skin file will be collapsed
138- nkf -Ew "$list" > "$list.$$.tmp" && mv "$list.$$.tmp" "$list" && echo " $list"
139- done
140- }
141- convert_EUCJP2UTF8(){
142- for list in "$@" ; do
143- # Very rough conversion!
144- sed 's/EUC-JP/UTF-8/g' "$list" > "$list.$$.tmp" && mv "$list.$$.tmp" "$list"
145- done
146- }
147-fi > /dev/null
148-
149-if [ -z "$__zip" ]
150-then
151- which tar || err "tar not found"
152- which gzip || err "gzip not found"
153-else
154- which zip || err "zip not found"
155-fi > /dev/null
156-
157-# Argument check --------------------------------------------
158-
159-rel="$1"
160-tag="` check_versiontag "$rel" `" || exit 1
161-pkg_dir="${mod}-${rel}"
162-
163-if [ "$__utf8" ] ; then
164- pkg_dir="${pkg_dir}_utf8"
165-fi
166-
167-# Export the module -----------------------------------------
168-
169-test ! -d "$pkg_dir" || err "There's already a directory: $pkg_dir"
170-
171-if [ -z "$__checkout" ]
172-then cmd="export"
173-else cmd="checkout"
174-fi
175-
176-echo cvs -z3 -d "$CVSROOT" -q "$cmd" -r "$tag" -d "$pkg_dir" "$mod"
177- cvs -z3 -d "$CVSROOT" -q "$cmd" -r "$tag" -d "$pkg_dir" "$mod"
178-
179-test -d "$pkg_dir" || err "There isn't a directory: $pkg_dir"
180-
181-# Remove '.cvsignore' if exists -----------------------------
182-test -z "$__noremove" && {
183- echo find "$pkg_dir" -type f -name '.cvsignore' "| xargs rm -f"
184- find "$pkg_dir" -type f -name '.cvsignore' | xargs rm -f
185-}
186-
187-# Conversion ------------------------------------------------
188-
189-if [ "$__utf8" ] ; then
190- echo "Converting EUC-JP => UTF-8 ..."
191- find "$pkg_dir" -type f \( -name "*.txt" -or -name "*.php" -or -name "*.lng" -or -name "*.dat" \) |
192- while read line; do
193- convert "$line"
194- done
195-
196- # Replace 'EUC-JP' => 'UTF-8'
197- ( cd "$pkg_dir" &&
198- convert_EUCJP2UTF8 lib/init.php skin/pukiwiki.skin*.php
199- )
200-
201- # Filename about wiki/*.txt or something are not coverted yet
202-fi
203-
204-# chmod -----------------------------------------------------
205-
206-chmod_pkg "$pkg_dir"
207-
208-# Create a package ------------------------------------------
209-
210-test ! -z "$__nopkg" && exit 0
211-
212-( cd "$pkg_dir"
213-
214- # wiki.en/
215- target="wiki.en"
216- if [ -z "$__zip" ]
217- then tar cf - "$target" | gzip -9 > "$target".tgz
218- else zip -r9 "$target.zip" "$target"
219- fi
220- rm -Rf "$target"
221-
222- # en documents
223- if [ -z "$__zip" ]
224- then gzip -9 *.en.txt
225- else
226- for list in *.en.txt ; do
227- zip -9 "$list".zip "$list"
228- rm -f "$list"
229- done
230- fi
231-)
232-
233-# Move / Copy *.ini.php files
234-if [ 'x' != "x$__copy_dist$__move_dist" ] ; then
235-( cd "$pkg_dir"
236-
237- find . -type f -name "*.ini.php" | while read file; do
238- dist_file="` echo "$file" | sed 's/ini\.php$/ini-dist.php/' `"
239- mv -f "$file" "$dist_file"
240- test "$__copy_dist" && cp -f "$dist_file" "$file"
241- done
242-)
243-fi
244-
245-if [ -z "$__zip" ]
246-then
247- # Tar + gzip
248- echo tar cf - "$pkg_dir" \| gzip -9 \> "$pkg_dir.tar.gz"
249- tar cf - "$pkg_dir" | gzip -9 > "$pkg_dir.tar.gz"
250-else
251- # Zip
252- echo zip -r9 "$pkg_dir.zip" "$pkg_dir"
253- zip -r9 "$pkg_dir.zip" "$pkg_dir"
254-fi
255-
--- a/devel/release_update.sh
+++ /dev/null
@@ -1,197 +0,0 @@
1-#!/bin/sh
2-# $Id: release_update.sh,v 1.11 2005-03-21 14:08:50 henoheno Exp $
3-# $CVSKNIT_Id: release.sh,v 1.11 2004/05/28 14:26:24 henoheno Exp $
4-# Release automation script for PukiWiki
5-# ==========================================================
6- Copyright='(C) 2002-2004 minix-up project, All Rights Reserved'
7- Homepage='http://cvsknit.sourceforge.net/'
8- License='BSD Licnese, NO WARRANTY'
9-#
10-
11-# Name and Usage --------------------------------------------
12-_name="` basename $0 `"
13-
14-usage(){
15- warn "USAGE: $_name [options] VERSION_FROM VERSION_TO (VERSION = '1.4.3_rc1' like)"
16- warn " Options:"
17- warn " -z|--zip Create *.zip archive"
18- warn " --move-dist Move *.ini.php => *.ini-dist.php"
19- warn " --copy-dist Move, and Copy *.ini.php <= *.ini-dist.php"
20- return 1
21-}
22-
23-# Common functions ------------------------------------------
24-warn(){ echo "$*" 1>&2 ; }
25-err() { warn "Error: $*" ; exit 1 ; }
26-
27-quote(){
28- test $# -gt 0 && { echo -n "\"$1\"" ; shift ; }
29- while [ $# -gt 0 ] ; do echo -n " \"$1\"" ; shift ; done ; echo
30-}
31-
32-trace(){
33- test "$__debug" || return 0 # (DEBUG)
34- _msg="$1" ; test $# -gt 0 && shift ; warn " $_msg : ` quote "$@" `"
35-}
36-
37-check_versiontag(){
38- case "$1" in
39- [1-9].[0-9] | [1-9].[0-9] ) tag="r$1" ;;
40- [1-9].[0-9]_rc[1-9] | [1-9].[0-9]_rc[1-9] ) tag="r$1" ;;
41- [1-9].[0-9].[0-9] | [1-9].[0-9].[0-9][0-9] ) tag="r$1" ;;
42- [1-9].[0-9].[0-9]_[a-z]* | [1-9].[0-9].[0-9][0-9]_[a-z]* ) tag="r$1" ;;
43- [1-9].[0-9].[0-9]_[1-9] | [1-9].[0-9].[0-9][0-9]_[1-9] ) tag="r$1" ;;
44- HEAD | r1_3_3_branch ) tag="$rel" ;;
45- '' ) usage ; return 1 ;;
46- * ) warn "Error: Invalid string: $1" ; usage ; return 1 ;;
47- esac
48- echo "$tag" | tr '.' '_'
49-}
50-
51-chmod_pkg(){
52- ( cd "$1"
53- # ALL: Read only
54- find . -type d | while read line; do chmod 755 "$line"; done
55- find . -type f | while read line; do chmod 644 "$line"; done
56- # Add write permission for PukiWiki
57- chmod 777 attach backup cache counter diff trackback wiki* 2>/dev/null
58- chmod 666 wiki*/*.txt cache/*.dat cache/*.ref cache/*.rel 2>/dev/null
59- )
60-}
61-
62-# Default variables -----------------------------------------
63-
64-mod=pukiwiki
65-CVSROOT=":pserver:anonymous@cvs.sourceforge.jp:/cvsroot/$mod"
66-
67-pkg_dir="$mod"
68-
69-# Function verifying arguments ------------------------------
70-
71-getopt(){ _arg=noarg
72- trace 'getopt()' "$@" # (DEBUG)
73-
74- case "$1" in
75- '' ) echo 1 ;;
76- -[hH]|--help ) echo _help _exit ;;
77- --debug ) echo _debug ;;
78- -z|--zip ) echo _zip ;;
79- --copy-dist ) echo _copy_dist ;;
80- --move-dist ) echo _move_dist ;;
81- -d ) echo _CVSROOT 2 ; _arg="$2" ;;
82- -* ) warn "Error: Unknown option \"$1\"" ; return 1 ;;
83- * ) echo OTHER ;;
84- esac
85-
86- test 'x' != "x$_arg"
87-}
88-
89-# Working start ---------------------------------------------
90-
91-# Show arguments in one line (DEBUG)
92-case '--debug' in "$1"|"$3") false ;; * ) true ;; esac || {
93- test 'x--debug' = "x$1" && shift ; __debug=on ; trace 'Args ' "$@"
94-}
95-
96-# Parsing
97-while [ $# -gt 0 ] ; do
98- chs="` getopt "$@" `" || err "Syntax error with '$1'"
99- trace '$chs ' "$chs" # (DEBUG)
100-
101- for ch in $chs ; do
102- case "$ch" in
103- [1-3] ) shift $ch ;;
104- _exit ) exit ;;
105- _help ) usage ;;
106- _CVSROOT) CVSROOT="$2" ;;
107- _* ) shift ; eval "_$ch"=on ;;
108- * ) break 2 ;;
109- esac
110- done
111-done
112-
113-# No argument
114-if [ $# -eq 0 ] ; then usage ; exit ; fi
115-
116-# Argument check --------------------------------------------
117-
118-rel_from="$1"
119-rel_to="$2"
120-if [ "x$rel_from" = "x$rel_to" ] ; then
121- warn "Error: VERSION_FROM and VERSION_TO is equivalent"
122- usage ; exit
123-fi
124-
125-tag_from="` check_versiontag "$rel_from" `" || exit
126-tag_to="` check_versiontag "$rel_to" `" || exit
127-
128-# -----------------------------------------------------------
129-
130-# Checkout the module with VERSION_FROM
131-test ! -d "$pkg_dir" || err "There's already a directory: $pkg_dir"
132-echo cvs -z3 -d "$CVSROOT" co -r "$tag_from" -d "$pkg_dir" "$mod"
133- cvs -z3 -d "$CVSROOT" co -r "$tag_from" -d "$pkg_dir" "$mod"
134-test -d "$pkg_dir" || err "There isn't a directory: $pkg_dir"
135-
136-# Merge VERSION_FROM to VERSION_TO
137-( cd "$pkg_dir"
138- echo cvs up -dP -j "$tag_from" -j "$tag_to"
139- cvs up -dP -j "$tag_from" -j "$tag_to"
140-
141- # Cleanup backup files by cvs
142- find . -type f -name ".#*" | xargs rm -f
143-)
144-
145-# Remove files those are not Added or Modified
146-echo -n "Remove files those are not Added or Modified ..."
147-( cd "$pkg_dir"
148-
149- find . -type f | grep -v /CVS/ | while read line ; do
150- result="` cvs -nq up "$line" 2>/dev/null | grep '^[AM] ' | cut -b 3- `"
151- test "x$result" != "x" || rm -f "$line"
152- echo -n "."
153- done
154- echo
155-)
156-
157-# Remove CVS directories
158-echo "Remove CVS directories ..."
159-find "$pkg_dir" -type d -name "CVS" | xargs rm -Rf
160-
161-# Remove '.cvsignore' if exists
162-echo find "$pkg_dir" -type f -name '.cvsignore' -delete
163- find "$pkg_dir" -type f -name '.cvsignore' -delete
164-
165-# Remove emptied directories (twice)
166-find "$pkg_dir" -type d -empty | xargs rmdir
167-find "$pkg_dir" -type d -empty | xargs rmdir
168-
169-# Move / Copy *.ini.php files
170-if [ 'x' != "x$__copy_dist$__move_dist" ] ; then
171-( cd "$pkg_dir"
172-
173- find . -type f -name "*.ini.php" | while read file; do
174- dist_file="` echo "$file" | sed 's/ini\.php$/ini-dist.php/' `"
175- mv -f "$file" "$dist_file"
176- test "$__copy_dist" && cp -f "$dist_file" "$file"
177- done
178-)
179-fi
180-
181-# chmod
182-chmod_pkg "$pkg_dir"
183-
184-if [ -z "$__zip" ]
185-then
186- # Tar
187- echo tar cf - "$pkg_dir" \| gzip -9 \> "update_$rel_to.tar.gz"
188- tar cf - "$pkg_dir" | gzip -9 > "update_$rel_to.tar.gz"
189-else
190- # Zip
191- echo zip -r9 "update_$rel_to.zip" "$pkg_dir"
192- zip -r9 "update_$rel_to.zip" "$pkg_dir"
193-fi
194-
195-#echo rm -Rf "$pkg_dir"
196-# rm -Rf "$pkg_dir"
197-
--- a/devel/tdiary-demogen.sh
+++ /dev/null
@@ -1,86 +0,0 @@
1-#!/bin/sh
2-# $Id: tdiary-demogen.sh,v 1.7 2005-01-25 12:47:11 henoheno Exp $
3-#
4-# tDiary demonstration generator: generates many [theme].php
5-# License: GPL
6-
7-warn(){ echo "$*" 1>&2; }
8-err(){ warn "$*"; exit 1; }
9-
10-usage(){
11- base="`basename $0`";
12- warn " $base [-d path/to/theme-directory] list"
13- warn " $base [-d path/to/theme-directory] interwiki"
14- warn " $base [-d path/to/theme-directory] touch"
15- warn " $base [-d path/to/theme-directory] untouch"
16- warn " Command:"
17- warn " lis|list - List themes"
18- warn " int|interwiki - Publish interwiki definition and setting for each theme"
19- warn " tou|touch - Generate \$theme.php that includes index.php"
20- warn " unt|untouch - Remove \$theme.php(s) listed in theme directory"
21- exit 1
22-}
23-
24-theme_list(){
25- cd "$dir" || err "Error: directory '$dir' not found"
26- ls -1 | while read theme; do
27- test -f "$theme/$theme.css" && echo "$theme"
28- done
29-}
30-
31-# ---- Argument check ----
32-dir="skin/theme"
33-if [ "x-d" = "x$1" ] ; then
34- dir="$2"
35- shift 2
36-fi
37-cmd="$1"
38-
39-# ----
40-
41-case "$cmd" in
42-''|-h|hel|help ) usage ;;
43-lis|list ) theme_list ;;
44-
45-int|inte|inter|interw|interwi|interwik|interwiki)
46- echo '--------'
47- echo '- [./$1.php theme] raw tDiary theme selector'
48- echo '--------'
49- echo '- (s) = sidebar CSS exists in this theme'
50- theme_list | while read theme; do
51- echo -n "+ [[theme:$theme]]"
52- grep -q div.sidebar "$dir/$theme/$theme.css" && echo -n " (s)"
53- echo
54- done
55- ;;
56-
57-tou|touc|touch )
58- theme_list | while read theme; do
59- if [ -f "$theme.php" ]
60- then echo "Warning: '$theme.php' is already available. Ignoreing..."
61- else
62- cat <<EOF > "$theme.php"
63-<?php
64- define('TDIARY_THEME', '$theme');
65- require('./index.php')
66-?>
67-EOF
68- fi
69- done
70- ;;
71-
72-unt|unto|untou|untouc|untouch )
73- echo -n " Remove theme(s).php ? [y/N]: "
74- read answer
75- case "$answer" in
76- [yY] | [yY][eE][sS] )
77- theme_list | while read theme ; do
78- test -f "$theme.php" && grep -q "define('TDIARY_THEME', '$theme');" "$theme.php" && rm -f "$theme.php"
79- done
80- ;;
81- * )
82- echo " Stopped."
83- esac
84- ;;
85-esac
86-